package  
{
	import flash.display.BitmapData;
	import net.flashpunk.Entity;
	import net.flashpunk.graphics.Emitter;
	import net.flashpunk.utils.Ease;

	public class ParticleController extends Entity 
	{
		
		private var _emitter:Emitter;
		
		public function ParticleController() 
		{
			_emitter = new Emitter(new BitmapData(3, 3, false, 0xFFFFFF), 3, 3);
			_emitter.newType("explosion", [0]);
			_emitter.setMotion("explosion", 0, 100, 2, 360, -40, 1, Ease.quadOut);
			_emitter.setAlpha("explosion", 1, 0.1);
			graphic = _emitter;
			layer = GC.LAYER_PARTICLES;
		}
		
		public function explosion(_x:Number, _y:Number, particles:int = 20 ):void
		{
			for (var i:uint = 0; i < particles; i++) {
				_emitter.emit("explosion", _x, _y);
			}
		}
		
	}

}